%%%
%%% Q_IMAGESIZE: UP/DOWN SAMPLE AN IMAGE IN MULTIPLES OF 2x
%%%
%%%		BLUR BEFORE SUBSAMPLING USING binom5 (see Q_filters.m)
%%%		BLUR AFTER UPSAMPLING USING bicubic (see Q_filters.m)
%%%
%%% DATE: 	August 3, 1999
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
function [] = Q_imagesize( parent, s );

	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );

	%%% DOWNSAMPLE
	if( s < 1 )
		filt	= Q_filters( 'binom5' );
		im2 	= IM.im;
		while ( s < 1 )
			im2 = Q_conv( Q_conv( im2, filt ), filt' );
			[ydim,xdim,zdim] = size( im2 );
			if( ydim>4 & xdim>4 )
				im2 = im2( 1:2:ydim, 1:2:xdim, : );
				s = 2 * s;
			else
				s = 1;
			end
		end
	end

	%%% UPSAMPLE
	if( s > 1 )
		filt	= Q_filters( 'bicubic' );
		im2 	= IM.im;
		while( s > 1 )
			[ydim,xdim,zdim] = size( im2 );
			im3 = zeros( 2*ydim, 2*xdim, zdim );
			im3( 1:2:2*ydim, 1:2:2*xdim, : ) = im2;
			im2 = 4*Q_conv( Q_conv( im3, filt, 'zero' ), ...
					filt', 'zero' );
			s = 0.5 * s;
		end
	end

	IM.im	= im2;
	Q_show_im( IM, parent );
	Q_active( parent, 0 );	
