%%%
%%% Q_ROTATE90: ROTATE IMAGE BY 90deg.
%%%
%%%		Rotate image clockwise/counterclockwise by 90deg or
%%%		180 deg.  Uses built-in matlab function rot90.
%%%
%%% DATE: 	June 3, 1998
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
%%% MODIFY:	March 29, 2000
%%%		Add support for color images.
%%%
function [] = Q_rotate90( parent, k );
	
	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );
	[ydim,xdim,zdim] = size( IM.im );
	for z = 1 : zdim
		IM.im(:,:,z) = rot90( IM.im(:,:,z), k );
	end
	Q_show_im( IM, parent );
	Q_active( parent, 0 );


