%%%
%%% Q_SHOWCLIPPING: SHOW CLIPPED REGIONS OF IMAGE.
%%%
%%% 		Show an RGB image where red pixels denote values
%%% 		clipped above white, and blue pixels denote values
%%%		clipped below black. 
%%%
%%% DATE: 	June 3, 1998
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
function [] = Q_showclipping( parent );

	if( Q_active(parent,1) )
		return;
	end

	Q_window( parent );

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [] = Q_window( parent )

	Q_expandfig( parent, 'Show Clipping', 1, 0 );

	%%% MAKE COLOR IMAGE SHOWING CLIPPED REGIONS
	IM			= Q_get_iminfo( parent );
	[ydim,xdim,zdim]	= size( IM.im );
	im2	= zeros( ydim, xdim, 3 );
	for z = 1 : zdim
		index_under		= find( IM.im(:,:,z) < IM.clim(z,1) );
		im_under		= zeros( ydim, xdim );
		im_under(index_under) 	= 1;
		index_over		= find( IM.im(:,:,z) > IM.clim(z,2) );
		im_over			= zeros( ydim, xdim );
		im_over(index_over) 	= 1;
		im2(:,:,1)		= or(im_over,im2(:,:,1)); % red
		im2(:,:,3)		= or(im_under,im2(:,:,3));% blue
	end
	im2 = min( im2, 1 );

	subplot( 'position', [0.5 0 0.5 1] );
	imagesc( im2 ); axis image; axis off;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
