%%%
%%% Q_SQUAREROOT: COMPUTE SQUARE ROOT OF IMAGE
%%%
%%%		If any pixels are less than or equal to 0, return an error 
%%%		and don't evaluate.
%%%
%%% DATE: 	August 3, 1999
%%% BY:   	Hany Farid (farid@mit.edu), Copyright 1998, MIT.
%%%
function [] = Q_squareroot( parent );
	
	if( Q_active(parent,1) )
		return;
	end

	IM	= Q_get_iminfo( parent );
	index	= find( IM.im<0 );
	if( length(index) > 0 )
		Q_window( parent, index );
		sqrterror( parent, IM.im, index );
	else
		IM.im	= sqrt( IM.im );
		Q_show_im( IM, parent );
		Q_active( parent, 0 );
	end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [] = Q_window( parent, index )

	Q_expandfig( parent, 'Sqrt', 1, 0 );
	H 	= Q_get_handles( parent );

	H.temp(1) =  Q_input( parent, [0.6 0.25 0.9 0.1], ...
		'Error: sqrt(x) undefined x<0', 'text' );
	set( H.temp(1), 'HorizontalAlignment', 'Left', 'FontSize', 12 );
	H.temp(2) =  Q_input( parent, [0.6 0.2 0.9 0.1], ...
		sprintf( '%d pixels', length(index) ), 'text' );
	set( H.temp(2), 'HorizontalAlignment', 'Left', 'FontSize', 12 );

	Q_set_handles( H, parent );

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [] = sqrterror( parent, im, index )

	[ydim,xdim,zdim]=size(im);
	im2		= zeros( ydim,xdim,zdim );
	im2(index) 	= 1;

	subplot( 'position', [0.53 0.55 0.35 0.35] );
	imagesc( im2 ); axis image; axis off;
